QGIS 2.14 Processing plugin crashes - WindowsError: [Error 5] Accesso negato: u'C:\\\\Program 

Files\\\\QGIS Brighton' 

2016-04-03 09:56 AM - Antonio Valanzano

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/Core

Affected QGIS version:2.14.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22576

Description

After successfully installing QGIS 2.14 standalone (64 bit), upon startup the processing plugin loaded without problems. Then I uninstalled

the previous version 2.6.1  Brighton and discovered that upon startup of version 2.14.1 the plugin doesn't load anymore. 

I've tried reinstalling and downgrading processing version (as suggested by the help form) but nothing changed.

By the way what's the reason for delivering in version 2.14.1 a processing plugin version (2.12.99) newer than the one avalaible on the

official repository (2.12.2)? 

I understand that the settings for this plugin are complex but an effort is necessary to create a more clean procedure for installing it and to

avoid or to limit dependancies between different versions of QGIS installed on a pc.

My personal opinion is that if "processing"  is a core plugin (the development team has recognized it as a useful set of functions) it

shouldn't be possible for a user to install or uninstall it.

The error message is:

Couldn't load plugin processing due to an error when calling its initGui() method

WindowsError: [Error 5] Accesso negato: u'C:\\\\Program Files\\\\QGIS Brighton'

History

#1 - 2016-04-04 12:19 AM - Alexander Bruy

- Status changed from Open to Feedback

From error I can see that you have Processing plugin in your user directory (C:/Users/Antonio/.qgis2/python/plugins). Removing it should fix your problem

#2 - 2016-04-04 06:58 AM - Antonio Valanzano

- Assignee changed from Victor Olaya to Alexander Bruy

I have deleted the folder "processing" within the C:\\Users\\Antonio\\.qgis2\\python\\plugins directory but the error is the same. 

There is still a connection with a previous installation of QIGS Brighton 2.6.1

#3 - 2016-04-06 05:01 AM - Alexander Bruy

Please check latest master, this error should be fixed.
#4 - 2016-04-09 08:00 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core

- Crashes QGIS or corrupts data changed from Yes to No

- Priority changed from High to Normal

#5 - 2016-05-23 06:09 AM - Alexander Bruy

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.

Files

errore_processing.txt 4.64 KB 2016-04-03 Antonio Valanzano
